<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>TO DO LIST</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in todolist_list %}
                            <tr>
                                <td>{{ item.name }}</td>
                                <td>{{ item.items.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
{% comment %}

<a href="{% url 'todo_list_detail' item.pk %}">{{ item.name }}</a> {% endcomment %}
